#pragma once
class CAdlinkCommon_APS
{
public:
    CAdlinkCommon_APS(long lPhysicalCardID, long lSlaveID, long lPointNo);
    ~CAdlinkCommon_APS(void);

public:
    int InitCard(int nHardwareIniTypeCardNo);

    int CloseCard(int nPhysicalCardID);

    bool ReadVoltage(int nRange, double *pVoltage);

    bool ReadInput(unsigned short *pState);

    bool WriteOutputBit(bool bState);

    bool WriteVoltage(double dVoltage);

private:
    long m_lPhysicalCardID; // only used for CInput class
    long m_lSlaveID;        // only used for CInput class
    long m_lPointNo;        // only used for CInput class
};
